Package com.google.android.exoplayer2.testutil

## Class FakeChunkSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeChunkSource.Factory

- Enclosing class:
    FakeChunkSource

      public static class FakeChunkSource.Factory
      extends Object

  Factory for a `FakeChunkSource`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FakeAdaptiveDataSet.Factory` | `dataSetFactory` |
    `protected FakeDataSource.Factory` | `dataSourceFactory` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(FakeAdaptiveDataSet.Factory dataSetFactory, FakeDataSource.Factory dataSourceFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FakeChunkSource` | `createChunkSource​(ExoTrackSelection trackSelection, long durationUs, TransferListener transferListener)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataSetFactory

          protected final FakeAdaptiveDataSet.Factory dataSetFactory

    - #### dataSourceFactory

          protected final FakeDataSource.Factory dataSourceFactory

  - ### Constructor Detail

    - #### Factory

          public Factory​(FakeAdaptiveDataSet.Factory dataSetFactory,
                         FakeDataSource.Factory dataSourceFactory)

  - ### Method Detail

    - #### createChunkSource

          public FakeChunkSource createChunkSource​(ExoTrackSelection trackSelection,
                                                   long durationUs,
                                                   @Nullable
                                                   TransferListener transferListener)